# TODO
# - see and adopt: http://gist.github.com/359890
%define		plugin	check_raid
Summary:	Nagios plugin to check current server's RAID status
Name:		nagios-plugin-%{plugin}
Version:	2.2.50
Release:	1
License:	GPL v2
Group:		Networking
Source0:	https://github.com/glensc/nagios-plugin-check_raid/tarball/%{version}/%{plugin}-%{version}.tgz
# Source0-md5:	7512ae0de0e62681f8b62550555c6429
URL:		https://github.com/glensc/nagios-plugin-check_raid
Requires:	nagios-common
Requires:	perl-base >= 1:5.8.0
Requires:	sudo
Suggests:	CmdTool2
Suggests:	arcconf
Suggests:	areca-cli
Suggests:	cciss_vol_status
Suggests:	hpacucli
Suggests:	megacli-sas
Suggests:	megarc-scsi
Suggests:	mpt-status
Suggests:	smartmontools
Suggests:	tw_cli-9xxx
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
This plugin chekcs Check all RAID volumes (hardware and software) that
can be identified.

Supports:
- AIX software RAID via lsvg
- Adaptec AAC RAID via aaccli or afacli or arcconf
- Areca SATA RAID Support
- HP Smart Array (MSA1500) via serial line
- HP Smart Array Controllers and MSA Controllers via hpacucli (see
  hapacucli readme)
- HP/Compaq Smart Array via cciss_vol_status (hpsa supported too)
- LSI Logic MegaRAID SAS series via MegaCli
- LSI MegaRaid via lsraid
- Linux 3ware SATA RAID via tw_cli
- Linux DPT/I2O hardware RAID controllers via /proc/scsi/dpt_i2o
- Linux GDTH hardware RAID controllers via /proc/scsi/gdth
- Linux LSI MegaRaid hardware RAID via /proc/megaraid
- Linux LSI MegaRaid hardware RAID via CmdTool2
- Linux LSI MegaRaid hardware RAID via megarc
- Linux MPT hardware RAID via mpt-status
- Linux MegaIDE hardware RAID controllers via /proc/megaide
- Linux software RAID (md) via /proc/mdstat
- SAS2IRCU support
- Serveraid IPS via ipssend
- Solaris software RAID via metastat

%prep
%setup -qc
mv *-nagios-plugin-check_raid-*/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin}.pl $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{plugin}.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
	# setup sudo rules on first install
	%{plugindir}/%{plugin} -S || :
fi

%postun
if [ "$1" = 0 ]; then
	# remove all sudo rules related to us
	%{__sed} -i -e '/CHECK_RAID/d' /etc/sudoers
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Wed Jul 18 2012 Elan Ruusamäe <glen@delfi.ee> bba37da
up to 2.2.50

* Mon May 28 2012 Elan Ruusamäe <glen@pld-linux.org> eb3c08b
- up to 2.2, project moved to github

* Mon Mar 12 2012 Elan Ruusamäe <glen@pld-linux.org> a0df8e5
- up to 2.1.1.113, check disks for cciss/hpmsa with smartctl

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 94679d3
- up to 2.1.1.105. most significant change is hpsa devs via cciss_vol_status

* Tue Sep 13 2011 Elan Ruusamäe <glen@pld-linux.org> c1a6298
- include cvs rev in package version

* Mon Apr 18 2011 Elan Ruusamäe <glen@pld-linux.org> 1cdbcc3
- rel 13, a patch to afacli

* Mon Nov 22 2010 Elan Ruusamäe <glen@pld-linux.org> 0bd43c6
- release 12

* Mon Nov 22 2010 Elan Ruusamäe <glen@pld-linux.org> 047af81
- update supported devices list

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 58d1442
- plugin path expanded already

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 6aac77a
- blind code for MegaCli support

* Tue Apr 13 2010 Elan Ruusamäe <glen@pld-linux.org> d0095ef
- linux md updates, shows now resync status; rel 11

* Thu Apr 08 2010 Elan Ruusamäe <glen@pld-linux.org> d207195
- improved mdstat: check for failed spares was broken -- upgrade; rel 10

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> b6d14fc
- require nagios-common instead of core

* Wed Mar 31 2010 Elan Ruusamäe <glen@pld-linux.org> 46a1449
- fix cciss devices detection; all cciss users should upgrade
- rel 9

* Wed Feb 24 2010 Elan Ruusamäe <glen@pld-linux.org> 421b16f
- release 8

* Mon Feb 08 2010 Elan Ruusamäe <glen@pld-linux.org> c1268ea
- fix dpt_i2o checking
- improve md and dpt_i2o formatting; rel 7

* Fri Dec 18 2009 Elan Ruusamäe <glen@pld-linux.org> 7c0f146
- add minimum perl version info

* Tue Nov 24 2009 Elan Ruusamäe <glen@pld-linux.org> 5276447
- check_arcconf: do not let battery state=Charging, capacity 100% fire a warning, compare only capacity; rel 6

* Thu Oct 08 2009 Elan Ruusamäe <glen@pld-linux.org> 3f1becf
- megaraid, tw_cli fixes; rel 5

* Thu Oct 08 2009 Elan Ruusamäe <glen@pld-linux.org> a712420
- typo

